import { OnInit } from "@angular/core";
import { StiModelService } from "../../../../services/model.service";
import { StiEditorProperty } from "../../../../services/objects";
import { StiHelperService } from "../../../../services/sti-helper.service";
import { StiLocalizationService } from "../../../../services/sti-localization.service";
import { StiThemeService } from "../../../../services/theme.service";
export declare class StiBooleanWithArrowEditorComponent implements OnInit {
    model: StiModelService;
    helper: StiHelperService;
    theme: StiThemeService;
    loc: StiLocalizationService;
    property: StiEditorProperty;
    private _state;
    constructor(model: StiModelService, helper: StiHelperService, theme: StiThemeService, loc: StiLocalizationService);
    ngOnInit(): void;
    get isBarcodeShape(): boolean;
    get content(): string;
    getObject(): any;
    get state(): string;
    set state(value: string);
    changeState(): void;
}
