import { OnInit } from "@angular/core";
import { StiModelService } from "../../../../services/model.service";
import { StiEditorProperty } from "../../../../services/objects";
import { StiColorDialogService } from "../../../../services/sti-color-dialog.service";
import { StiHelperService } from "../../../../services/sti-helper.service";
import { StiLocalizationService } from "../../../../services/sti-localization.service";
import Color from "../../../../system/Color";
export declare class StiColorEditorComponent implements OnInit {
    model: StiModelService;
    helper: StiHelperService;
    loc: StiLocalizationService;
    colorService: StiColorDialogService;
    property: StiEditorProperty;
    textColor: Color;
    obj?: any;
    showColorPicker(element: any, object: any): void;
    constructor(model: StiModelService, helper: StiHelperService, loc: StiLocalizationService, colorService: StiColorDialogService);
    ngOnInit(): void;
    get color(): Color;
}
