import { OnInit } from "@angular/core";
import { StiModelService } from "../../../../services/model.service";
import { StiEditorProperty } from "../../../../services/objects";
import { PaperKind } from "../../../../system/enums";
import StiPagePaperKind from "../../../../properties/StiPagePaperKind";
export declare class StiPaperKindEditorComponent implements OnInit {
    model: StiModelService;
    enum: typeof PaperKind;
    kinds: StiPagePaperKind[];
    values: StiPagePaperKind[];
    obj: string[];
    filteredValues: any;
    property: StiEditorProperty;
    constructor(model: StiModelService);
    ngOnInit(): void;
    get paperKind(): StiPagePaperKind;
    get kind(): PaperKind;
    set kind(value: PaperKind);
}
