import { OnInit } from "@angular/core";
import { StiModelService } from "../../../../../services/model.service";
import { StiEditorProperty } from "../../../../../services/objects";
import { StiHelperService } from "../../../../../services/sti-helper.service";
import { StiLocalizationService } from "../../../../../services/sti-localization.service";
import { StiThemeService } from "../../../../../services/theme.service";
export declare class StiTableBorderEditorComponent implements OnInit {
    model: StiModelService;
    helper: StiHelperService;
    theme: StiThemeService;
    loc: StiLocalizationService;
    property: StiEditorProperty;
    state: boolean;
    object: any;
    properties: any[];
    constructor(model: StiModelService, helper: StiHelperService, theme: StiThemeService, loc: StiLocalizationService);
    ngOnInit(): void;
    getProperty(property: any): "border" | "gridLines" | "columnHeadersBorder" | "rowHeadersBorder";
    get content(): any;
    set content(value: any);
}
