import { AfterViewInit, ElementRef, OnInit } from "@angular/core";
import { StiModelService } from "../../services/model.service";
import { StiLocalizationService } from "../../services/sti-localization.service";
export declare class StiButtonMessageWindowComponent implements OnInit, AfterViewInit {
    model: StiModelService;
    loc: StiLocalizationService;
    messageWindow: ElementRef;
    windowWidth: number;
    windowHeight: number;
    get left(): string;
    get top(): string;
    constructor(model: StiModelService, loc: StiLocalizationService);
    retry(): void;
    ngAfterViewInit(): void;
    ngOnInit(): void;
}
