import { OnInit } from "@angular/core";
import { StiModelService } from "../../services/model.service";
import { StiComboBoxElement } from "../../elements/StiComboBoxElement";
import { StiEditableContentService } from "../../services/sti-editable-content.service";
export declare class StiComboBoxComponent implements OnInit {
    model: StiModelService;
    editableService: StiEditableContentService;
    element: StiComboBoxElement;
    isClone: boolean;
    get align(): string;
    disableDrag(event: any): void;
    get needToFill(): boolean;
    constructor(model: StiModelService, editableService: StiEditableContentService);
    ngOnInit(): void;
    get selectedOption(): string;
    set selectedOption(value: string);
    borderWidth(): string;
    inFocus(): void;
    lostFocus(): void;
}
