import { AfterViewInit, ElementRef, OnInit } from "@angular/core";
import { StiModelService } from "../../services/model.service";
import { StiHelperService } from "../../services/sti-helper.service";
import { StiLocalizationService } from "../../services/sti-localization.service";
import { StiTextItem } from "../../elements/text/StiTextItem";
import { StiColorDialogService } from "../../services/sti-color-dialog.service";
import { Subscription } from "rxjs";
import { SignatureService } from "../../services/sti-signature.service";
export declare class StiEmbedTextEditorComponent implements OnInit, AfterViewInit {
    model: StiModelService;
    helper: StiHelperService;
    loc: StiLocalizationService;
    colorService: StiColorDialogService;
    signatureService: SignatureService;
    currentText: StiTextItem;
    updateSignatureSubscription: Subscription;
    textInput: ElementRef;
    constructor(model: StiModelService, helper: StiHelperService, loc: StiLocalizationService, colorService: StiColorDialogService, signatureService: SignatureService);
    get alignment(): "center" | "end" | "start";
    ngAfterViewInit(): void;
    showColorPicker(element: any, object: any, isRichText?: boolean): void;
    setContent(innerText: any): void;
    ngOnInit(): void;
}
