import { OnInit } from "@angular/core";
import { StiModelService } from "../../services/model.service";
import { StiLocalizationService } from "../../services/sti-localization.service";
export declare class StiExpressionHelpWindowComponent implements OnInit {
    model: StiModelService;
    loc: StiLocalizationService;
    constructor(model: StiModelService, loc: StiLocalizationService);
    get itemInfo(): "" | "Supports list operations: adding, subtracting and multiplying lists, list and value.\nExample:\n    { Col( 'Qty' ) * Col( 'Price' ) }\n    { ( Col( 'Fahrenheit degrees' ) - 32 ) * 5 / 9 }\nAvailable functions:\n    Count,\n    Min,\n    Max,\n    Sum,\n    Value,\n    Cell,\n    Total,\n    Col" | "Example:\n  { Sum( Col( 'Final price' ) ) }\n  { ( Total( 'Tax' ) + 1 ) * Total( 'Price' ) }\nAvailable functions:\n  Count,\n  Min,\n  Max,\n  Sum,\n  Value,\n  Cell,\n  Total,\n  Col,\n  Row" | "Multiple expressions, enclosed in { and }, are supported.\nExample:\n    \"Tax is { Value( 'Tax' ) * 100}%, total is { Value( 'Tax' ) * Value( 'Subtotal' ) } dollars\",\n    evaluates to \"Tax is 15%, total is 230 dollars\"\nAvailable functions:\n    Count,\n    Min,\n    Max,\n    Sum,\n    Value,\n    Cell,\n    Total,\n    Col,\n    Row";
    get generalInfo(): string;
    ngOnInit(): void;
}
