import { AfterViewInit, ChangeDetectorRef, OnInit } from "@angular/core";
import { StiModelService } from "../../services/model.service";
import { StiHelperService } from "../../services/sti-helper.service";
import { StiLocalizationService } from "../../services/sti-localization.service";
export declare class StiFileSaveContentComponent implements OnInit, AfterViewInit {
    model: StiModelService;
    helper: StiHelperService;
    loc: StiLocalizationService;
    private cdr;
    name: string;
    save: string;
    cancel: string;
    browse: string;
    isSmallWindow: boolean;
    constructor(model: StiModelService, helper: StiHelperService, loc: StiLocalizationService, cdr: ChangeDetectorRef);
    ngAfterViewInit(): void;
    close(): void;
    saveFile(): void;
    ngOnInit(): void;
}
