import { OnInit } from "@angular/core";
import { StiFormCheckerItem } from "../../system/interfaces";
import { StiModelService } from "../../services/model.service";
import { StiFormCheckerService } from "../../services/sti-form-checker.service";
import { StiLocalizationService } from "../../services/sti-localization.service";
import { StiHttpClientService } from "../../services/http-client.service";
export declare class StiFormCheckerItemComponent implements OnInit {
    model: StiModelService;
    loc: StiLocalizationService;
    formCheckerService: StiFormCheckerService;
    httpService: StiHttpClientService;
    item: StiFormCheckerItem;
    index: number;
    constructor(model: StiModelService, loc: StiLocalizationService, formCheckerService: StiFormCheckerService, httpService: StiHttpClientService);
    save(): void;
    edit(): void;
    ignore(): void;
    ngOnInit(): void;
}
