import { OnInit } from "@angular/core";
import { StiModelService } from "../../services/model.service";
import { StiListBoxElement } from "../../elements/StiListBoxElement";
import { StiHtmlStyle } from "../../system/interfaces";
import { StiEditableContentService } from "../../services/sti-editable-content.service";
export declare class StiListBoxComponent implements OnInit {
    model: StiModelService;
    editableService: StiEditableContentService;
    element: StiListBoxElement;
    isClone: boolean;
    get align(): string;
    get needToFill(): boolean;
    constructor(model: StiModelService, editableService: StiEditableContentService);
    disableDrag(event: any): void;
    ngOnInit(): void;
    borderWidth(): string;
    selectValue(option: any): void;
    get htmlStyleElement(): StiHtmlStyle;
}
