import { OnInit } from "@angular/core";
import { StiHttpClientService } from "../services/http-client.service";
import { StiModelService } from "../services/model.service";
import { StiHelperService } from "../services/sti-helper.service";
import { StiLocalStorageService } from "../services/sti-local-storage.service";
import { StiLocalizationService } from "../services/sti-localization.service";
import { StiUserService } from "../services/sti-user-service";
export declare class StiLocalizationPreviewComponent implements OnInit {
    model: StiModelService;
    httpService: StiHttpClientService;
    userService: StiUserService;
    loc: StiLocalizationService;
    helper: StiHelperService;
    stiLocalStorage: StiLocalStorageService;
    constructor(model: StiModelService, httpService: StiHttpClientService, userService: StiUserService, loc: StiLocalizationService, helper: StiHelperService, stiLocalStorage: StiLocalStorageService);
    itemWidth: number;
    get items(): import("../services/objects").StiLocalizationObject[];
    get itemsInRow(): any[];
    get rows(): any[];
    setEvent(event: string): void;
    ngOnInit(): void;
}
