import { OnInit } from "@angular/core";
import { StiFormPageElement } from "../elements/StiFormPageElement";
import { StiModelService } from "../services/model.service";
import { FormEventsService } from "../services/sti-form-events-service";
import { StiHelperService } from "../services/sti-helper.service";
import { StiLocalizationService } from "../services/sti-localization.service";
export declare class StiPageNavigationComponent implements OnInit {
    model: StiModelService;
    formEvents: FormEventsService;
    helper: StiHelperService;
    loc: StiLocalizationService;
    currentPage: StiFormPageElement;
    constructor(model: StiModelService, formEvents: FormEventsService, helper: StiHelperService, loc: StiLocalizationService);
    setProperties(newPage: any, currentPage: any): void;
    ngOnInit(): void;
}
