import { OnInit } from "@angular/core";
import { StiHttpClientService } from "../services/http-client.service";
import { StiModelService } from "../services/model.service";
import { StiLocalizationService } from "../services/sti-localization.service";
import { StiUserService } from "../services/sti-user-service";
export declare class StiUserInfoComponent implements OnInit {
    model: StiModelService;
    httpService: StiHttpClientService;
    userService: StiUserService;
    loc: StiLocalizationService;
    constructor(model: StiModelService, httpService: StiHttpClientService, userService: StiUserService, loc: StiLocalizationService);
    get userInfo(): {
        name: string;
        mail: string;
    };
    setEvent(event: string): void;
    ngOnInit(): void;
}
