import { EventEmitter, OnInit } from "@angular/core";
import { StiModelService } from "../../services/model.service";
import { StiSingleSelectionElement } from "../../elements/StiSingleSelectionElement";
export declare class StiSvgRadiobuttonComponent implements OnInit {
    model: StiModelService;
    element: StiSingleSelectionElement;
    id: string;
    text: string;
    state: boolean;
    useCustomOption: boolean;
    buttonClick: EventEmitter<any>;
    tabIndex: number;
    isCurrentOption: boolean;
    constructor(model: StiModelService);
    get selected(): boolean;
    get isMozila(): boolean;
    get isSafari(): boolean;
    get backColor(): string;
    get checkColor(): string;
    get borderColor(): string;
    get textStyle(): string;
    disableDrag(event: any): void;
    changeState(): void;
    get needToFill(): boolean;
    getContent(innerText: any): void;
    getCharCode(event: any): any;
    checkOption(): void;
    disableEnter(event: any): void;
    ngOnInit(): void;
}
