import { ElementRef } from "@angular/core";
import { StiModelService } from "../../services/model.service";
import { StiFormPageElement } from "../../elements/StiFormPageElement";
import { StiToolbarResizerService } from "../../services/sti-toolbar-resizer.service";
import { StiExportService } from "../../services/sti-export.service";
export declare class WorkspaceComponent {
    model: StiModelService;
    exportService: StiExportService;
    toolbarResizerService: StiToolbarResizerService;
    workspaceEl: ElementRef;
    constructor(model: StiModelService, exportService: StiExportService, toolbarResizerService: StiToolbarResizerService);
    get padding(): string;
    get pages(): StiFormPageElement[];
    onClick(event: MouseEvent): void;
}
