import { StiUsedFontsList } from "../services/objects";
import { StiSignatureType } from "../system/enums";
import { Font } from "../system/Font";
import { StiLabel, StiDescription } from "../system/interfaces";
import StiJson from "../system/StiJson";
import { StiFormElement } from "./base/StiFormElement";
import { StiTextItem } from "./text/StiTextItem";
export declare class StiPDFSignatureElement extends StiFormElement implements StiLabel, StiDescription {
    type: string;
    required: boolean;
    description: StiTextItem;
    signaturePanelWidth: number;
    signaturePanelHeight: number;
    signatureType: StiSignatureType;
    font: Font;
    canvasHeight: number;
    loadWithAspectRatio: boolean;
    SignatureTextBoxText: string;
    constructor();
    getUsedFonts(usedFonts: StiUsedFontsList): void;
    saveToJsonObject(options: any): StiJson;
    loadFromJsonObject(json: StiJson): void;
}
