import { StiFormCheckerItem } from "../system/interfaces";
import { StiModelService } from "./model.service";
export declare class StiFormCheckerService {
    model: StiModelService;
    showFormCheckerWindow: boolean;
    formMessages: StiFormCheckerItem[];
    buttonNames: string;
    componentX: number;
    componentY: number;
    componentWidth: number;
    componentHeight: number;
    currentPressedButton: string;
    issuesCount: number;
    isRibbonWithPreview(ribbon: any): boolean;
    haveStiCloudSubmitButton(): boolean;
    needToDisplayFormsChecker(): boolean;
    check(ribbon: string): boolean;
    get hasIssue(): boolean;
    displayFormsChecker(): void;
    updateFormAfterSaving(form: any): void;
    getButtonNames(): void;
    constructor(model: StiModelService);
}
