import { Subject } from "rxjs";
import { StiSignatureElement } from "../elements/StiSignatureElement";
import { StiModelService } from "./model.service";
import { StiTextItem } from "../elements/text/StiTextItem";
import { StiImageEditorResultObject } from "../system/interfaces";
export declare class SignatureService {
    model: StiModelService;
    private _editorComponentX;
    private _editorComponentY;
    textMode: boolean;
    drawingMode: boolean;
    showFontsPreview: boolean;
    loadedImage: Subject<any>;
    clearButtonClick: Subject<boolean>;
    updateSignature: Subject<any>;
    getInsertedInformation: Subject<any>;
    currentEditableText: StiTextItem;
    currentEditableImage: any | StiImageEditorResultObject;
    editorComponentHeight: number;
    editorComponentWidth: number;
    fontsPreviewX: number;
    fontsPreviewY: number;
    get currentSignatureElement(): StiSignatureElement;
    get editorComponentX(): number;
    set editorComponentX(value: number);
    get editorComponentY(): number;
    set editorComponentY(value: number);
    get y(): number;
    get x(): number;
    changeDrawingMode(): void;
    changeTextMode(): void;
    clear(): void;
    onFileSelected(): void;
    get isSignature(): boolean;
    constructor(model: StiModelService);
}
