import { OnInit } from "@angular/core";
import { StiModelService } from "../services/model.service";
import { StiLocalStorageService } from "../services/sti-local-storage.service";
import { StiLocalizationService } from "../services/sti-localization.service";
import { StiToolboxService } from "../services/sti-toolbox.service";
export declare class StiSetupToolboxComponent implements OnInit {
    model: StiModelService;
    loc: StiLocalizationService;
    toolboxService: StiToolboxService;
    stiLocalStorage: StiLocalStorageService;
    private _showToolbox;
    private _showInsertTab;
    get showToolbox(): boolean;
    set showToolbox(value: boolean);
    get showInsertTab(): boolean;
    set showInsertTab(value: boolean);
    constructor(model: StiModelService, loc: StiLocalizationService, toolboxService: StiToolboxService, stiLocalStorage: StiLocalStorageService);
    acceptChanges(): void;
    ngOnInit(): void;
}
