import { OnInit } from "@angular/core";
import { StiModelService } from "../services/model.service";
import { StiToolboxElement } from "../services/objects";
import { StiLocalizationService } from "../services/sti-localization.service";
import { StiToolbarResizerService } from "../services/sti-toolbar-resizer.service";
import { StiToolboxService } from "../services/sti-toolbox.service";
import { StiThemeService } from "../services/theme.service";
export declare class StiToolboxElementComponent implements OnInit {
    toolboxService: StiToolboxService;
    toolbarResizerService: StiToolbarResizerService;
    theme: StiThemeService;
    model: StiModelService;
    loc: StiLocalizationService;
    element: StiToolboxElement;
    forRibbon: boolean;
    forGroup: boolean;
    constructor(toolboxService: StiToolboxService, toolbarResizerService: StiToolbarResizerService, theme: StiThemeService, model: StiModelService, loc: StiLocalizationService);
    showPreview(event: any, caption: any): void;
    onMouseDown(event: MouseEvent): void;
    onDoubleClick(): void;
    get isMaximize(): boolean;
    get className(): string;
    get image(): any;
    ngOnInit(): void;
}
