import { OnInit, ComponentFactoryResolver } from "@angular/core";
import { StiModelService } from "../services/model.service";
import { StiLocalizationService } from "../services/sti-localization.service";
import { StiToolbarResizerService } from "../services/sti-toolbar-resizer.service";
import { StiToolboxService } from "../services/sti-toolbox.service";
export declare class StiToolboxComponent implements OnInit {
    private resolver;
    model: StiModelService;
    toolboxService: StiToolboxService;
    toolbarResizerService: StiToolbarResizerService;
    loc: StiLocalizationService;
    get isMaximize(): boolean;
    constructor(resolver: ComponentFactoryResolver, model: StiModelService, toolboxService: StiToolboxService, toolbarResizerService: StiToolbarResizerService, loc: StiLocalizationService);
    ngOnInit(): void;
}
