import { OnInit } from "@angular/core";
import { StiBarcodeElement } from "../../../../elements/StiBarcodeElement";
import { StiModelService } from "../../../../services/model.service";
import { StiEditorProperty } from "../../../../services/objects";
import { StiHelperService } from "../../../../services/sti-helper.service";
import { StiLocalizationService } from "../../../../services/sti-localization.service";
import { StiThemeService } from "../../../../services/theme.service";
export declare class StiBarcodeShapeEditorComponent implements OnInit {
    model: StiModelService;
    helper: StiHelperService;
    theme: StiThemeService;
    loc: StiLocalizationService;
    property: StiEditorProperty;
    state: boolean;
    object: StiBarcodeElement;
    properties: any[];
    constructor(model: StiModelService, helper: StiHelperService, theme: StiThemeService, loc: StiLocalizationService);
    ngOnInit(): void;
    updateProperties(): void;
    getMiddleType(property: any): "Body" | "EyeBall" | "EyeFrame";
    getStartType(property: any): "body" | "eyeBall" | "eyeFrame";
    get content(): any;
    set content(value: any);
}
