import { OnInit } from "@angular/core";
import { StiModelService } from "../../../../services/model.service";
import { StiEditorProperty } from "../../../../services/objects";
import { StiColorDialogService } from "../../../../services/sti-color-dialog.service";
import { StiHelperService } from "../../../../services/sti-helper.service";
import { StiLocalizationService } from "../../../../services/sti-localization.service";
import { StiThemeService } from "../../../../services/theme.service";
export declare class StiFontEditorComponent implements OnInit {
    model: StiModelService;
    helper: StiHelperService;
    theme: StiThemeService;
    loc: StiLocalizationService;
    colorService: StiColorDialogService;
    property: StiEditorProperty;
    object?: any;
    constructor(model: StiModelService, helper: StiHelperService, theme: StiThemeService, loc: StiLocalizationService, colorService: StiColorDialogService);
    ngOnInit(): void;
    showColorPicker(element: any, object: any): void;
    isSettings(): boolean;
    get content(): any;
    changeEvent(): void;
}
