import { OnInit } from "@angular/core";
import { StiModelService } from "../../../../services/model.service";
import { StiEditorProperty } from "../../../../services/objects";
import { StiHelperService } from "../../../../services/sti-helper.service";
import { StiLocalizationService } from "../../../../services/sti-localization.service";
import { StiThemeService } from "../../../../services/theme.service";
import StiRectangleGeometryLayout from "../../../../computed/StiRectangleGeometryLayout";
export declare class StiNumberEditorComponent implements OnInit {
    model: StiModelService;
    helper: StiHelperService;
    theme: StiThemeService;
    loc: StiLocalizationService;
    render: StiRectangleGeometryLayout;
    interval: any;
    isIncrement: boolean;
    isDecrement: boolean;
    timeout: any;
    private _gridCounter;
    get gridCounter(): number;
    set gridCounter(value: number);
    property: StiEditorProperty;
    obj?: any;
    constructor(model: StiModelService, helper: StiHelperService, theme: StiThemeService, loc: StiLocalizationService, render: StiRectangleGeometryLayout);
    ngOnInit(): void;
    onLostFocus(object: any): void;
    applySettings(): void;
    checkOutputs(): void;
    checkOnOverlay(): void;
    clearTimers(): void;
    iterate(): void;
    setIncrementInterval(): void;
    setDecrementInterval(): void;
    get element(): any;
    get counter(): number;
    validNegativeValue(): boolean;
    set counter(value: number);
}
