import { OnInit } from "@angular/core";
import { StiModelService } from "../../../../services/model.service";
import { StiEditorProperty } from "../../../../services/objects";
import { StiExpressionService } from "../../../../services/sti-expression.service";
import { StiHelperService } from "../../../../services/sti-helper.service";
import { StiThemeService } from "../../../../services/theme.service";
export declare class StiTextEditorComponent implements OnInit {
    model: StiModelService;
    helper: StiHelperService;
    theme: StiThemeService;
    expressionService: StiExpressionService;
    property: StiEditorProperty;
    object?: any;
    disabled?: boolean;
    constructor(model: StiModelService, helper: StiHelperService, theme: StiThemeService, expressionService: StiExpressionService);
    ngOnInit(): void;
    get haveExpression(): boolean;
    setInfo(): void;
    get content(): any;
    set content(value: any);
}
