import { AfterViewInit, OnInit } from "@angular/core";
import { StiModelService } from "../../services/model.service";
import { StiLocalizationService } from "../../services/sti-localization.service";
import { StiDraggableModalWindowService } from "../../services/sti-draggable-modal-window.service";
import { StiMouseService } from "../../services/mouse.service";
import { Subscription } from "rxjs";
import { SignatureService } from "../../services/sti-signature.service";
export declare class StiDraggableModalWindowComponent implements OnInit, AfterViewInit {
    model: StiModelService;
    loc: StiLocalizationService;
    modalWindowService: StiDraggableModalWindowService;
    signatureService: SignatureService;
    mouseService: StiMouseService;
    startX: number;
    startY: number;
    startComponentX: number;
    startComponentY: number;
    isDragging: boolean;
    mouseUpSubscription: Subscription;
    mouseMoveSubscription: Subscription;
    constructor(model: StiModelService, loc: StiLocalizationService, modalWindowService: StiDraggableModalWindowService, signatureService: SignatureService, mouseService: StiMouseService);
    ngAfterViewInit(): void;
    get header(): string;
    startDrag(event: any): void;
    accept(): void;
    onMouseMove(event: any): void;
    ngOnInit(): void;
}
