import { OnInit } from "@angular/core";
import { StiModelService } from "../../services/model.service";
import { StiLocalizationService } from "../../services/sti-localization.service";
import { StiHelperService } from "../../services/sti-helper.service";
import { StiHorizontalAlignment, StiVerticalAlignment } from "../../system/enums";
import { Subscription } from "rxjs";
import { SignatureService } from "../../services/sti-signature.service";
export declare class StiEmbedImageEditorComponent implements OnInit {
    model: StiModelService;
    loc: StiLocalizationService;
    helper: StiHelperService;
    signatureService: SignatureService;
    currentVerticalAlignment: StiVerticalAlignment;
    currentHorizontalAlignment: StiHorizontalAlignment;
    useAspectRatio: boolean;
    useStretch: boolean;
    loadedImage: any;
    updateSignatureSubscription: Subscription;
    get hasImage(): boolean;
    get image(): string;
    clear(): void;
    getBackgroundSize(container: any): string;
    getBackgroundPosition(): "center" | "center center" | "top center" | "bottom center";
    getHorizontalAlignment(): "center" | "end" | "start";
    onFileSelected(event: any): void;
    constructor(model: StiModelService, loc: StiLocalizationService, helper: StiHelperService, signatureService: SignatureService);
    ngOnInit(): void;
}
