import { OnDestroy, OnInit } from "@angular/core";
import { StiModelService } from "../../services/model.service";
import { StiLocalizationService } from "../../services/sti-localization.service";
import { StiFormCheckerService } from "../../services/sti-form-checker.service";
import { StiMouseService } from "../../services/mouse.service";
import { Subscription } from "rxjs";
export declare class StiFormCheckerComponent implements OnInit, OnDestroy {
    model: StiModelService;
    loc: StiLocalizationService;
    mouseService: StiMouseService;
    formCheckerService: StiFormCheckerService;
    startX: number;
    startY: number;
    startComponentX: number;
    startComponentY: number;
    isDragging: boolean;
    mouseMoveSubscription: Subscription;
    mouseUpSubscription: Subscription;
    constructor(model: StiModelService, loc: StiLocalizationService, mouseService: StiMouseService, formCheckerService: StiFormCheckerService);
    ngOnDestroy(): void;
    startDrag(event: any): void;
    showInfo(): void;
    onMouseMove(event: any): void;
    ngOnInit(): void;
}
