import { StiBarcodeElement } from "../elements/StiBarcodeElement";
import { StiHttpClientService } from "./http-client.service";
import { StiModelService } from "./model.service";
import { StiMouseService } from "./mouse.service";
import { StiUndoService } from "./sti-undo-service";
export declare class StiBarcodeService {
    model: StiModelService;
    mouseService: StiMouseService;
    httpService: StiHttpClientService;
    undoService: StiUndoService;
    private timerSarted;
    private initialized;
    previewY: number;
    previewX: number;
    previewWidth: number;
    showBarcodePreview: boolean;
    constructor(model: StiModelService, mouseService: StiMouseService, httpService: StiHttpClientService, undoService: StiUndoService);
    init(): void;
    startUpdate(): void;
    findChangedBarcodes(element: any, barcodes: StiBarcodeElement[]): void;
    barcodeStyles: any[];
}
