import { StiModelService } from "./model.service";
export declare class StiColorDialogService {
    model: StiModelService;
    dialogWidth: number;
    dialogHeight: number;
    dialogX: number;
    dialogY: number;
    currentColorObject: any;
    cloneOfCurrentColorObject: any;
    rgbToHex(rgb: string): string;
    componentToHex(c: number): string;
    browserColors: {
        name: string;
        color: string;
    }[];
    themeColors: {
        color: string;
    }[];
    standardColors: {
        color: string;
    }[];
    isRichText: boolean;
    openDialog(element: any, object: any, isRichText?: any): void;
    constructor(model: StiModelService);
}
