import { StiHttpClientService } from "./http-client.service";
import { StiLocalizationService } from "./sti-localization.service";
import { StiModelService } from "./model.service";
import { StiHelperService } from "./sti-helper.service";
import { StiUserService } from "./sti-user-service";
import { StimulsoftFormsService } from "../stimulsoft-forms.service";
import { StiLocalStorageService } from "./sti-local-storage.service";
export declare class StiControllerService {
    model: StiModelService;
    httpClient: StiHttpClientService;
    helper: StiHelperService;
    userService: StiUserService;
    loc: StiLocalizationService;
    formService: StimulsoftFormsService;
    stiLocalStorage: StiLocalStorageService;
    private USED_PROPERTIES;
    constructor(model: StiModelService, httpClient: StiHttpClientService, helper: StiHelperService, userService: StiUserService, loc: StiLocalizationService, formService: StimulsoftFormsService, stiLocalStorage: StiLocalStorageService);
    initialize(): void;
}
